curl 'https://api.sandbox.uqpay.org/api/v1/cardholders?page_num=1&page_size=10' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": {
"total_item": 1,
"total_page": 1,
"item_list": [
{
"card_holder_id": "7c4ff2cd-1bf6-4aaa-bf16-266771425011",
"card_holder_status": "SUCCESS",
"card_num": 0,
"create_time": "2023-09-15T10:02:17+08:00",
"first_name": "Emily",
"last_name": "Johnson",
"update_time": "2023-09-15T10:02:17+08:00"
}
]
}
}
Cardholders
List all cardholders
This endpoint get list of cardholders.
GET
/
api
/
v1
/
cardholders
curl 'https://api.sandbox.uqpay.org/api/v1/cardholders?page_num=1&page_size=10' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": {
"total_item": 1,
"total_page": 1,
"item_list": [
{
"card_holder_id": "7c4ff2cd-1bf6-4aaa-bf16-266771425011",
"card_holder_status": "SUCCESS",
"card_num": 0,
"create_time": "2023-09-15T10:02:17+08:00",
"first_name": "Emily",
"last_name": "Johnson",
"update_time": "2023-09-15T10:02:17+08:00"
}
]
}
}
Header
string
required
x-client-id.string
required
Bearer
YOUR_TOKEN_HERE.Parameters
number
required
Page number, starts from 1.
number
required
Number of results per page.
Maximum 50string
Direct Account id this transaction is associated with.
string
The id of the account for the card.
number
Filter on status of cardholder.
One of
One of
-1=FAILED, 0-PENDING, 1-SUCCESS, 2-INCOMPLETEstring
Fuzzy search by name of the cardholder.
Response
number
Indicates whether the call was successful. 200 if successful, 400 if not.
string
Response Message. “Success” if successful, others not.
object
Hide details
Hide details
number
Total items.
number
Total pages.
array
Hide details
Hide details
curl 'https://api.sandbox.uqpay.org/api/v1/cardholders?page_num=1&page_size=10' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": {
"total_item": 1,
"total_page": 1,
"item_list": [
{
"card_holder_id": "7c4ff2cd-1bf6-4aaa-bf16-266771425011",
"card_holder_status": "SUCCESS",
"card_num": 0,
"create_time": "2023-09-15T10:02:17+08:00",
"first_name": "Emily",
"last_name": "Johnson",
"update_time": "2023-09-15T10:02:17+08:00"
}
]
}
}